Imported Upstream version 1.0.10
[platform/upstream/fribidi.git] / test / unicode-conformance / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 build_triplet = @build@
89 host_triplet = @host@
90 check_PROGRAMS = BidiTest$(EXEEXT) BidiCharacterTest$(EXEEXT)
91 subdir = test/unicode-conformance
92 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
93 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
94         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
95         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
96         $(top_srcdir)/m4/m4_ax_prog_cc_for_build.m4 \
97         $(top_srcdir)/configure.ac
98 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
99         $(ACLOCAL_M4)
100 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
101 mkinstalldirs = $(install_sh) -d
102 CONFIG_HEADER = $(top_builddir)/config.h
103 CONFIG_CLEAN_FILES =
104 CONFIG_CLEAN_VPATH_FILES =
105 am_BidiCharacterTest_OBJECTS = BidiCharacterTest.$(OBJEXT)
106 BidiCharacterTest_OBJECTS = $(am_BidiCharacterTest_OBJECTS)
107 BidiCharacterTest_LDADD = $(LDADD)
108 BidiCharacterTest_DEPENDENCIES = $(top_builddir)/lib/libfribidi.la
109 AM_V_lt = $(am__v_lt_@AM_V@)
110 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
111 am__v_lt_0 = --silent
112 am__v_lt_1 = 
113 am_BidiTest_OBJECTS = BidiTest.$(OBJEXT)
114 BidiTest_OBJECTS = $(am_BidiTest_OBJECTS)
115 BidiTest_LDADD = $(LDADD)
116 BidiTest_DEPENDENCIES = $(top_builddir)/lib/libfribidi.la
117 AM_V_P = $(am__v_P_@AM_V@)
118 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
119 am__v_P_0 = false
120 am__v_P_1 = :
121 AM_V_GEN = $(am__v_GEN_@AM_V@)
122 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
123 am__v_GEN_0 = @echo "  GEN     " $@;
124 am__v_GEN_1 = 
125 AM_V_at = $(am__v_at_@AM_V@)
126 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
127 am__v_at_0 = @
128 am__v_at_1 = 
129 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
130 depcomp = $(SHELL) $(top_srcdir)/depcomp
131 am__maybe_remake_depfiles = depfiles
132 am__depfiles_remade = ./$(DEPDIR)/BidiCharacterTest.Po \
133         ./$(DEPDIR)/BidiTest.Po
134 am__mv = mv -f
135 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
136         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
137 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
138         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
139         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
140         $(AM_CFLAGS) $(CFLAGS)
141 AM_V_CC = $(am__v_CC_@AM_V@)
142 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
143 am__v_CC_0 = @echo "  CC      " $@;
144 am__v_CC_1 = 
145 CCLD = $(CC)
146 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
147         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
148         $(AM_LDFLAGS) $(LDFLAGS) -o $@
149 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
150 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
151 am__v_CCLD_0 = @echo "  CCLD    " $@;
152 am__v_CCLD_1 = 
153 SOURCES = $(BidiCharacterTest_SOURCES) $(BidiTest_SOURCES)
154 DIST_SOURCES = $(BidiCharacterTest_SOURCES) $(BidiTest_SOURCES)
155 am__can_run_installinfo = \
156   case $$AM_UPDATE_INFO_DIR in \
157     n|no|NO) false;; \
158     *) (install-info --version) >/dev/null 2>&1;; \
159   esac
160 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
161 # Read a list of newline-separated strings from the standard input,
162 # and print each of them once, without duplicates.  Input order is
163 # *not* preserved.
164 am__uniquify_input = $(AWK) '\
165   BEGIN { nonempty = 0; } \
166   { items[$$0] = 1; nonempty = 1; } \
167   END { if (nonempty) { for (i in items) print i; }; } \
168 '
169 # Make sure the list of sources is unique.  This is necessary because,
170 # e.g., the same source file might be shared among _SOURCES variables
171 # for different programs/libraries.
172 am__define_uniq_tagged_files = \
173   list='$(am__tagged_files)'; \
174   unique=`for i in $$list; do \
175     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
176   done | $(am__uniquify_input)`
177 ETAGS = etags
178 CTAGS = ctags
179 am__tty_colors_dummy = \
180   mgn= red= grn= lgn= blu= brg= std=; \
181   am__color_tests=no
182 am__tty_colors = { \
183   $(am__tty_colors_dummy); \
184   if test "X$(AM_COLOR_TESTS)" = Xno; then \
185     am__color_tests=no; \
186   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
187     am__color_tests=yes; \
188   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
189     am__color_tests=yes; \
190   fi; \
191   if test $$am__color_tests = yes; then \
192     red='\e[0;31m'; \
193     grn='\e[0;32m'; \
194     lgn='\e[1;32m'; \
195     blu='\e[1;34m'; \
196     mgn='\e[0;35m'; \
197     brg='\e[1m'; \
198     std='\e[m'; \
199   fi; \
200 }
201 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
202 am__vpath_adj = case $$p in \
203     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
204     *) f=$$p;; \
205   esac;
206 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
207 am__install_max = 40
208 am__nobase_strip_setup = \
209   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
210 am__nobase_strip = \
211   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
212 am__nobase_list = $(am__nobase_strip_setup); \
213   for p in $$list; do echo "$$p $$p"; done | \
214   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
215   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
216     if (++n[$$2] == $(am__install_max)) \
217       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
218     END { for (dir in files) print dir, files[dir] }'
219 am__base_list = \
220   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
221   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
222 am__uninstall_files_from_dir = { \
223   test -z "$$files" \
224     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
225     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
226          $(am__cd) "$$dir" && rm -f $$files; }; \
227   }
228 am__recheck_rx = ^[     ]*:recheck:[    ]*
229 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
230 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
231 # A command that, given a newline-separated list of test names on the
232 # standard input, print the name of the tests that are to be re-run
233 # upon "make recheck".
234 am__list_recheck_tests = $(AWK) '{ \
235   recheck = 1; \
236   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
237     { \
238       if (rc < 0) \
239         { \
240           if ((getline line2 < ($$0 ".log")) < 0) \
241             recheck = 0; \
242           break; \
243         } \
244       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
245         { \
246           recheck = 0; \
247           break; \
248         } \
249       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
250         { \
251           break; \
252         } \
253     }; \
254   if (recheck) \
255     print $$0; \
256   close ($$0 ".trs"); \
257   close ($$0 ".log"); \
258 }'
259 # A command that, given a newline-separated list of test names on the
260 # standard input, create the global log from their .trs and .log files.
261 am__create_global_log = $(AWK) ' \
262 function fatal(msg) \
263 { \
264   print "fatal: making $@: " msg | "cat >&2"; \
265   exit 1; \
266 } \
267 function rst_section(header) \
268 { \
269   print header; \
270   len = length(header); \
271   for (i = 1; i <= len; i = i + 1) \
272     printf "="; \
273   printf "\n\n"; \
274 } \
275 { \
276   copy_in_global_log = 1; \
277   global_test_result = "RUN"; \
278   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
279     { \
280       if (rc < 0) \
281          fatal("failed to read from " $$0 ".trs"); \
282       if (line ~ /$(am__global_test_result_rx)/) \
283         { \
284           sub("$(am__global_test_result_rx)", "", line); \
285           sub("[        ]*$$", "", line); \
286           global_test_result = line; \
287         } \
288       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
289         copy_in_global_log = 0; \
290     }; \
291   if (copy_in_global_log) \
292     { \
293       rst_section(global_test_result ": " $$0); \
294       while ((rc = (getline line < ($$0 ".log"))) != 0) \
295       { \
296         if (rc < 0) \
297           fatal("failed to read from " $$0 ".log"); \
298         print line; \
299       }; \
300       printf "\n"; \
301     }; \
302   close ($$0 ".trs"); \
303   close ($$0 ".log"); \
304 }'
305 # Restructured Text title.
306 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
307 # Solaris 10 'make', and several other traditional 'make' implementations,
308 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
309 # by disabling -e (using the XSI extension "set +e") if it's set.
310 am__sh_e_setup = case $$- in *e*) set +e;; esac
311 # Default flags passed to test drivers.
312 am__common_driver_flags = \
313   --color-tests "$$am__color_tests" \
314   --enable-hard-errors "$$am__enable_hard_errors" \
315   --expect-failure "$$am__expect_failure"
316 # To be inserted before the command running the test.  Creates the
317 # directory for the log if needed.  Stores in $dir the directory
318 # containing $f, in $tst the test, in $log the log.  Executes the
319 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
320 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
321 # will run the test scripts (or their associated LOG_COMPILER, if
322 # thy have one).
323 am__check_pre = \
324 $(am__sh_e_setup);                                      \
325 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
326 $(am__tty_colors);                                      \
327 srcdir=$(srcdir); export srcdir;                        \
328 case "$@" in                                            \
329   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
330     *) am__odir=.;;                                     \
331 esac;                                                   \
332 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
333   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
334 if test -f "./$$f"; then dir=./;                        \
335 elif test -f "$$f"; then dir=;                          \
336 else dir="$(srcdir)/"; fi;                              \
337 tst=$$dir$$f; log='$@';                                 \
338 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
339   am__enable_hard_errors=no;                            \
340 else                                                    \
341   am__enable_hard_errors=yes;                           \
342 fi;                                                     \
343 case " $(XFAIL_TESTS) " in                              \
344   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
345     am__expect_failure=yes;;                            \
346   *)                                                    \
347     am__expect_failure=no;;                             \
348 esac;                                                   \
349 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
350 # A shell command to get the names of the tests scripts with any registered
351 # extension removed (i.e., equivalently, the names of the test logs, with
352 # the '.log' extension removed).  The result is saved in the shell variable
353 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
354 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
355 # since that might cause problem with VPATH rewrites for suffix-less tests.
356 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
357 am__set_TESTS_bases = \
358   bases='$(TEST_LOGS)'; \
359   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
360   bases=`echo $$bases`
361 RECHECK_LOGS = $(TEST_LOGS)
362 AM_RECURSIVE_TARGETS = check recheck
363 TEST_SUITE_LOG = test-suite.log
364 am__test_logs1 = $(TESTS:=.log)
365 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
366 TEST_LOGS = $(am__test_logs2:.txt.log=.log)
367 TXT_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
368 TXT_LOG_COMPILE = $(TXT_LOG_COMPILER) $(AM_TXT_LOG_FLAGS) \
369         $(TXT_LOG_FLAGS)
370 am__set_b = \
371   case '$@' in \
372     */*) \
373       case '$*' in \
374         */*) b='$*';; \
375           *) b=`echo '$@' | sed 's/\.log$$//'`; \
376        esac;; \
377     *) \
378       b='$*';; \
379   esac
380 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
381         $(top_srcdir)/test-driver
382 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
383 ACLOCAL = @ACLOCAL@
384 AMTAR = @AMTAR@
385 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
386 AR = @AR@
387 AUTOCONF = @AUTOCONF@
388 AUTOHEADER = @AUTOHEADER@
389 AUTOMAKE = @AUTOMAKE@
390 AWK = @AWK@
391 BUILD_EXEEXT = @BUILD_EXEEXT@
392 BUILD_OBJEXT = @BUILD_OBJEXT@
393 CC = @CC@
394 CCDEPMODE = @CCDEPMODE@
395 CC_FOR_BUILD = @CC_FOR_BUILD@
396 CFLAGS = @CFLAGS@
397 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
398 CPP = @CPP@
399 CPPFLAGS = @CPPFLAGS@
400 CPPFLAGS_FOR_BUILD = @CPPFLAGS_FOR_BUILD@
401 CPP_FOR_BUILD = @CPP_FOR_BUILD@
402 CYGPATH_W = @CYGPATH_W@
403 DEFS = @DEFS@
404 DEPDIR = @DEPDIR@
405 DLLTOOL = @DLLTOOL@
406 DSYMUTIL = @DSYMUTIL@
407 DUMPBIN = @DUMPBIN@
408 ECHO_C = @ECHO_C@
409 ECHO_N = @ECHO_N@
410 ECHO_T = @ECHO_T@
411 EGREP = @EGREP@
412 EXEEXT = @EXEEXT@
413 FGREP = @FGREP@
414 FRIBIDI_BINARY_AGE = @FRIBIDI_BINARY_AGE@
415 FRIBIDI_CPPFLAGS = @FRIBIDI_CPPFLAGS@
416 FRIBIDI_INTERFACE_AGE = @FRIBIDI_INTERFACE_AGE@
417 FRIBIDI_INTERFACE_VERSION = @FRIBIDI_INTERFACE_VERSION@
418 FRIBIDI_MAJOR_VERSION = @FRIBIDI_MAJOR_VERSION@
419 FRIBIDI_MICRO_VERSION = @FRIBIDI_MICRO_VERSION@
420 FRIBIDI_MINOR_VERSION = @FRIBIDI_MINOR_VERSION@
421 FRIBIDI_MSVC_BUILD_PLACEHOLDER = @FRIBIDI_MSVC_BUILD_PLACEHOLDER@
422 FRIBIDI_VERSION = @FRIBIDI_VERSION@
423 GREP = @GREP@
424 INSTALL = @INSTALL@
425 INSTALL_DATA = @INSTALL_DATA@
426 INSTALL_PROGRAM = @INSTALL_PROGRAM@
427 INSTALL_SCRIPT = @INSTALL_SCRIPT@
428 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
429 LD = @LD@
430 LDFLAGS = @LDFLAGS@
431 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
432 LIBOBJS = @LIBOBJS@
433 LIBS = @LIBS@
434 LIBTOOL = @LIBTOOL@
435 LIPO = @LIPO@
436 LN_S = @LN_S@
437 LTLIBOBJS = @LTLIBOBJS@
438 LT_CURRENT_MINUS_AGE = @LT_CURRENT_MINUS_AGE@
439 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
440 LT_VERSION_INFO = @LT_VERSION_INFO@
441 MAKEINFO = @MAKEINFO@
442 MANIFEST_TOOL = @MANIFEST_TOOL@
443 MKDIR_P = @MKDIR_P@
444 NM = @NM@
445 NMEDIT = @NMEDIT@
446 OBJDUMP = @OBJDUMP@
447 OBJEXT = @OBJEXT@
448 OTOOL = @OTOOL@
449 OTOOL64 = @OTOOL64@
450 PACKAGE = @PACKAGE@
451 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
452 PACKAGE_NAME = @PACKAGE_NAME@
453 PACKAGE_STRING = @PACKAGE_STRING@
454 PACKAGE_TARNAME = @PACKAGE_TARNAME@
455 PACKAGE_URL = @PACKAGE_URL@
456 PACKAGE_VERSION = @PACKAGE_VERSION@
457 PATH_SEPARATOR = @PATH_SEPARATOR@
458 PKG_CONFIG = @PKG_CONFIG@
459 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
460 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
461 RANLIB = @RANLIB@
462 SED = @SED@
463 SET_MAKE = @SET_MAKE@
464 SHELL = @SHELL@
465 SIZEOF_INT = @SIZEOF_INT@
466 STRIP = @STRIP@
467 VERSION = @VERSION@
468 abs_builddir = @abs_builddir@
469 abs_srcdir = @abs_srcdir@
470 abs_top_builddir = @abs_top_builddir@
471 abs_top_srcdir = @abs_top_srcdir@
472 ac_ct_AR = @ac_ct_AR@
473 ac_ct_CC = @ac_ct_CC@
474 ac_ct_CC_FOR_BUILD = @ac_ct_CC_FOR_BUILD@
475 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
476 am__include = @am__include@
477 am__leading_dot = @am__leading_dot@
478 am__quote = @am__quote@
479 am__tar = @am__tar@
480 am__untar = @am__untar@
481 bindir = @bindir@
482 build = @build@
483 build_alias = @build_alias@
484 build_cpu = @build_cpu@
485 build_os = @build_os@
486 build_vendor = @build_vendor@
487 builddir = @builddir@
488 datadir = @datadir@
489 datarootdir = @datarootdir@
490 docdir = @docdir@
491 dvidir = @dvidir@
492 exec_prefix = @exec_prefix@
493 host = @host@
494 host_alias = @host_alias@
495 host_cpu = @host_cpu@
496 host_os = @host_os@
497 host_vendor = @host_vendor@
498 htmldir = @htmldir@
499 includedir = @includedir@
500 infodir = @infodir@
501 install_sh = @install_sh@
502 libdir = @libdir@
503 libexecdir = @libexecdir@
504 localedir = @localedir@
505 localstatedir = @localstatedir@
506 mandir = @mandir@
507 mkdir_p = @mkdir_p@
508 oldincludedir = @oldincludedir@
509 pdfdir = @pdfdir@
510 prefix = @prefix@
511 program_transform_name = @program_transform_name@
512 psdir = @psdir@
513 sbindir = @sbindir@
514 sharedstatedir = @sharedstatedir@
515 srcdir = @srcdir@
516 sysconfdir = @sysconfdir@
517 target_alias = @target_alias@
518 top_build_prefix = @top_build_prefix@
519 top_builddir = @top_builddir@
520 top_srcdir = @top_srcdir@
521 TESTS_ENVIRONMENT = \
522         srcdir=${srcdir}; export srcdir; \
523         top_builddir=${top_builddir}; export top_builddir; \
524         builddir=${builddir}; export builddir; \
525         EXEEXT=${EXEEXT}; export EXEEXT;
526
527 AM_TESTS_ENVIRONMENT = $(TESTS_ENVIRONMENT)
528 TEST_EXTENSIONS = .txt
529 TEST_DATAS = \
530         BidiTest.txt \
531         BidiCharacterTest.txt
532
533 TXT_LOG_COMPILER = sh $(srcdir)/run.tests
534 AM_CPPFLAGS = \
535                 @FRIBIDI_CPPFLAGS@ \
536                 -I$(top_builddir)/lib \
537                 -I$(top_srcdir)/lib \
538                 -I$(top_srcdir)/charset
539
540 LDADD = $(top_builddir)/lib/libfribidi.la
541 TESTS = $(TEST_DATAS)
542 BidiTest_SOURCES = BidiTest.c
543 BidiCharacterTest_SOURCES = BidiCharacterTest.c
544 EXTRA_DIST = \
545         run.tests \
546         $(TEST_DATAS)
547
548 all: all-am
549
550 .SUFFIXES:
551 .SUFFIXES: .c .lo .log .o .obj .trs .txt .txt$(EXEEXT)
552 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
553         @for dep in $?; do \
554           case '$(am__configure_deps)' in \
555             *$$dep*) \
556               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
557                 && { if test -f $@; then exit 0; else break; fi; }; \
558               exit 1;; \
559           esac; \
560         done; \
561         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/unicode-conformance/Makefile'; \
562         $(am__cd) $(top_srcdir) && \
563           $(AUTOMAKE) --gnits test/unicode-conformance/Makefile
564 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
565         @case '$?' in \
566           *config.status*) \
567             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
568           *) \
569             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
570             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
571         esac;
572
573 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
574         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
575
576 $(top_srcdir)/configure:  $(am__configure_deps)
577         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
578 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
579         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
580 $(am__aclocal_m4_deps):
581
582 clean-checkPROGRAMS:
583         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
584         echo " rm -f" $$list; \
585         rm -f $$list || exit $$?; \
586         test -n "$(EXEEXT)" || exit 0; \
587         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
588         echo " rm -f" $$list; \
589         rm -f $$list
590
591 BidiCharacterTest$(EXEEXT): $(BidiCharacterTest_OBJECTS) $(BidiCharacterTest_DEPENDENCIES) $(EXTRA_BidiCharacterTest_DEPENDENCIES) 
592         @rm -f BidiCharacterTest$(EXEEXT)
593         $(AM_V_CCLD)$(LINK) $(BidiCharacterTest_OBJECTS) $(BidiCharacterTest_LDADD) $(LIBS)
594
595 BidiTest$(EXEEXT): $(BidiTest_OBJECTS) $(BidiTest_DEPENDENCIES) $(EXTRA_BidiTest_DEPENDENCIES) 
596         @rm -f BidiTest$(EXEEXT)
597         $(AM_V_CCLD)$(LINK) $(BidiTest_OBJECTS) $(BidiTest_LDADD) $(LIBS)
598
599 mostlyclean-compile:
600         -rm -f *.$(OBJEXT)
601
602 distclean-compile:
603         -rm -f *.tab.c
604
605 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BidiCharacterTest.Po@am__quote@ # am--include-marker
606 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BidiTest.Po@am__quote@ # am--include-marker
607
608 $(am__depfiles_remade):
609         @$(MKDIR_P) $(@D)
610         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
611
612 am--depfiles: $(am__depfiles_remade)
613
614 .c.o:
615 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
616 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
617 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
618 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
619 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
620
621 .c.obj:
622 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
623 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
624 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
625 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
626 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
627
628 .c.lo:
629 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
630 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
631 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
632 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
633 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
634
635 mostlyclean-libtool:
636         -rm -f *.lo
637
638 clean-libtool:
639         -rm -rf .libs _libs
640
641 ID: $(am__tagged_files)
642         $(am__define_uniq_tagged_files); mkid -fID $$unique
643 tags: tags-am
644 TAGS: tags
645
646 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
647         set x; \
648         here=`pwd`; \
649         $(am__define_uniq_tagged_files); \
650         shift; \
651         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
652           test -n "$$unique" || unique=$$empty_fix; \
653           if test $$# -gt 0; then \
654             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
655               "$$@" $$unique; \
656           else \
657             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
658               $$unique; \
659           fi; \
660         fi
661 ctags: ctags-am
662
663 CTAGS: ctags
664 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
665         $(am__define_uniq_tagged_files); \
666         test -z "$(CTAGS_ARGS)$$unique" \
667           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
668              $$unique
669
670 GTAGS:
671         here=`$(am__cd) $(top_builddir) && pwd` \
672           && $(am__cd) $(top_srcdir) \
673           && gtags -i $(GTAGS_ARGS) "$$here"
674 cscopelist: cscopelist-am
675
676 cscopelist-am: $(am__tagged_files)
677         list='$(am__tagged_files)'; \
678         case "$(srcdir)" in \
679           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
680           *) sdir=$(subdir)/$(srcdir) ;; \
681         esac; \
682         for i in $$list; do \
683           if test -f "$$i"; then \
684             echo "$(subdir)/$$i"; \
685           else \
686             echo "$$sdir/$$i"; \
687           fi; \
688         done >> $(top_builddir)/cscope.files
689
690 distclean-tags:
691         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
692
693 # Recover from deleted '.trs' file; this should ensure that
694 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
695 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
696 # to avoid problems with "make -n".
697 .log.trs:
698         rm -f $< $@
699         $(MAKE) $(AM_MAKEFLAGS) $<
700
701 # Leading 'am--fnord' is there to ensure the list of targets does not
702 # expand to empty, as could happen e.g. with make check TESTS=''.
703 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
704 am--force-recheck:
705         @:
706
707 $(TEST_SUITE_LOG): $(TEST_LOGS)
708         @$(am__set_TESTS_bases); \
709         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
710         redo_bases=`for i in $$bases; do \
711                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
712                     done`; \
713         if test -n "$$redo_bases"; then \
714           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
715           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
716           if $(am__make_dryrun); then :; else \
717             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
718           fi; \
719         fi; \
720         if test -n "$$am__remaking_logs"; then \
721           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
722                "recursion detected" >&2; \
723         elif test -n "$$redo_logs"; then \
724           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
725         fi; \
726         if $(am__make_dryrun); then :; else \
727           st=0;  \
728           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
729           for i in $$redo_bases; do \
730             test -f $$i.trs && test -r $$i.trs \
731               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
732             test -f $$i.log && test -r $$i.log \
733               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
734           done; \
735           test $$st -eq 0 || exit 1; \
736         fi
737         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
738         ws='[   ]'; \
739         results=`for b in $$bases; do echo $$b.trs; done`; \
740         test -n "$$results" || results=/dev/null; \
741         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
742         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
743         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
744         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
745         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
746         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
747         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
748         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
749           success=true; \
750         else \
751           success=false; \
752         fi; \
753         br='==================='; br=$$br$$br$$br$$br; \
754         result_count () \
755         { \
756             if test x"$$1" = x"--maybe-color"; then \
757               maybe_colorize=yes; \
758             elif test x"$$1" = x"--no-color"; then \
759               maybe_colorize=no; \
760             else \
761               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
762             fi; \
763             shift; \
764             desc=$$1 count=$$2; \
765             if test $$maybe_colorize = yes && test $$count -gt 0; then \
766               color_start=$$3 color_end=$$std; \
767             else \
768               color_start= color_end=; \
769             fi; \
770             echo "$${color_start}# $$desc $$count$${color_end}"; \
771         }; \
772         create_testsuite_report () \
773         { \
774           result_count $$1 "TOTAL:" $$all   "$$brg"; \
775           result_count $$1 "PASS: " $$pass  "$$grn"; \
776           result_count $$1 "SKIP: " $$skip  "$$blu"; \
777           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
778           result_count $$1 "FAIL: " $$fail  "$$red"; \
779           result_count $$1 "XPASS:" $$xpass "$$red"; \
780           result_count $$1 "ERROR:" $$error "$$mgn"; \
781         }; \
782         {                                                               \
783           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
784             $(am__rst_title);                                           \
785           create_testsuite_report --no-color;                           \
786           echo;                                                         \
787           echo ".. contents:: :depth: 2";                               \
788           echo;                                                         \
789           for b in $$bases; do echo $$b; done                           \
790             | $(am__create_global_log);                                 \
791         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
792         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
793         if $$success; then                                              \
794           col="$$grn";                                                  \
795          else                                                           \
796           col="$$red";                                                  \
797           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
798         fi;                                                             \
799         echo "$${col}$$br$${std}";                                      \
800         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
801         echo "$${col}$$br$${std}";                                      \
802         create_testsuite_report --maybe-color;                          \
803         echo "$$col$$br$$std";                                          \
804         if $$success; then :; else                                      \
805           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
806           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
807             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
808           fi;                                                           \
809           echo "$$col$$br$$std";                                        \
810         fi;                                                             \
811         $$success || exit 1
812
813 check-TESTS: $(check_PROGRAMS)
814         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
815         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
816         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
817         @set +e; $(am__set_TESTS_bases); \
818         log_list=`for i in $$bases; do echo $$i.log; done`; \
819         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
820         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
821         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
822         exit $$?;
823 recheck: all $(check_PROGRAMS)
824         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
825         @set +e; $(am__set_TESTS_bases); \
826         bases=`for i in $$bases; do echo $$i; done \
827                  | $(am__list_recheck_tests)` || exit 1; \
828         log_list=`for i in $$bases; do echo $$i.log; done`; \
829         log_list=`echo $$log_list`; \
830         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
831                 am__force_recheck=am--force-recheck \
832                 TEST_LOGS="$$log_list"; \
833         exit $$?
834 .txt.log:
835         @p='$<'; \
836         $(am__set_b); \
837         $(am__check_pre) $(TXT_LOG_DRIVER) --test-name "$$f" \
838         --log-file $$b.log --trs-file $$b.trs \
839         $(am__common_driver_flags) $(AM_TXT_LOG_DRIVER_FLAGS) $(TXT_LOG_DRIVER_FLAGS) -- $(TXT_LOG_COMPILE) \
840         "$$tst" $(AM_TESTS_FD_REDIRECT)
841 @am__EXEEXT_TRUE@.txt$(EXEEXT).log:
842 @am__EXEEXT_TRUE@       @p='$<'; \
843 @am__EXEEXT_TRUE@       $(am__set_b); \
844 @am__EXEEXT_TRUE@       $(am__check_pre) $(TXT_LOG_DRIVER) --test-name "$$f" \
845 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
846 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TXT_LOG_DRIVER_FLAGS) $(TXT_LOG_DRIVER_FLAGS) -- $(TXT_LOG_COMPILE) \
847 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
848
849 distdir: $(BUILT_SOURCES)
850         $(MAKE) $(AM_MAKEFLAGS) distdir-am
851
852 distdir-am: $(DISTFILES)
853         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
854         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
855         list='$(DISTFILES)'; \
856           dist_files=`for file in $$list; do echo $$file; done | \
857           sed -e "s|^$$srcdirstrip/||;t" \
858               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
859         case $$dist_files in \
860           */*) $(MKDIR_P) `echo "$$dist_files" | \
861                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
862                            sort -u` ;; \
863         esac; \
864         for file in $$dist_files; do \
865           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
866           if test -d $$d/$$file; then \
867             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
868             if test -d "$(distdir)/$$file"; then \
869               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
870             fi; \
871             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
872               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
873               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
874             fi; \
875             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
876           else \
877             test -f "$(distdir)/$$file" \
878             || cp -p $$d/$$file "$(distdir)/$$file" \
879             || exit 1; \
880           fi; \
881         done
882 check-am: all-am
883         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
884         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
885 check: check-am
886 all-am: Makefile
887 installdirs:
888 install: install-am
889 install-exec: install-exec-am
890 install-data: install-data-am
891 uninstall: uninstall-am
892
893 install-am: all-am
894         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
895
896 installcheck: installcheck-am
897 install-strip:
898         if test -z '$(STRIP)'; then \
899           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
900             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
901               install; \
902         else \
903           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
904             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
905             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
906         fi
907 mostlyclean-generic:
908         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
909         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
910         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
911
912 clean-generic:
913
914 distclean-generic:
915         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
916         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
917
918 maintainer-clean-generic:
919         @echo "This command is intended for maintainers to use"
920         @echo "it deletes files that may require special tools to rebuild."
921 clean: clean-am
922
923 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
924         mostlyclean-am
925
926 distclean: distclean-am
927                 -rm -f ./$(DEPDIR)/BidiCharacterTest.Po
928         -rm -f ./$(DEPDIR)/BidiTest.Po
929         -rm -f Makefile
930 distclean-am: clean-am distclean-compile distclean-generic \
931         distclean-tags
932
933 dvi: dvi-am
934
935 dvi-am:
936
937 html: html-am
938
939 html-am:
940
941 info: info-am
942
943 info-am:
944
945 install-data-am:
946
947 install-dvi: install-dvi-am
948
949 install-dvi-am:
950
951 install-exec-am:
952
953 install-html: install-html-am
954
955 install-html-am:
956
957 install-info: install-info-am
958
959 install-info-am:
960
961 install-man:
962
963 install-pdf: install-pdf-am
964
965 install-pdf-am:
966
967 install-ps: install-ps-am
968
969 install-ps-am:
970
971 installcheck-am:
972
973 maintainer-clean: maintainer-clean-am
974                 -rm -f ./$(DEPDIR)/BidiCharacterTest.Po
975         -rm -f ./$(DEPDIR)/BidiTest.Po
976         -rm -f Makefile
977 maintainer-clean-am: distclean-am maintainer-clean-generic
978
979 mostlyclean: mostlyclean-am
980
981 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
982         mostlyclean-libtool
983
984 pdf: pdf-am
985
986 pdf-am:
987
988 ps: ps-am
989
990 ps-am:
991
992 uninstall-am:
993
994 .MAKE: check-am install-am install-strip
995
996 .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
997         check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
998         cscopelist-am ctags ctags-am distclean distclean-compile \
999         distclean-generic distclean-libtool distclean-tags distdir dvi \
1000         dvi-am html html-am info info-am install install-am \
1001         install-data install-data-am install-dvi install-dvi-am \
1002         install-exec install-exec-am install-html install-html-am \
1003         install-info install-info-am install-man install-pdf \
1004         install-pdf-am install-ps install-ps-am install-strip \
1005         installcheck installcheck-am installdirs maintainer-clean \
1006         maintainer-clean-generic mostlyclean mostlyclean-compile \
1007         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1008         recheck tags tags-am uninstall uninstall-am
1009
1010 .PRECIOUS: Makefile
1011
1012
1013 -include $(top_srcdir)/git.mk
1014
1015 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1016 # Otherwise a system limit (for SysV at least) may be exceeded.
1017 .NOEXPORT: